services:
  - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_DRIVER: overlay2

build:
  image: maven:3-jdk-8
  stage: build
  script:
    - mvn clean install
  artifacts:
    paths:
      - target/*.jar

publish-stable:
  image: docker:latest
  stage: deploy
  script:
    - docker login -u "${DOCKER_USER}" -p "${DOCKER_PASSWORD}" registry.gitlab.com
    - docker build -t registry.gitlab.com/pyshinskiyj/microservices/taskmanager/config:stable .
    - docker push registry.gitlab.com/pyshinskiyj/microservices/taskmanager/config:stable
  only:
    - develop

publish-latest:
  image: docker:latest
  stage: deploy
  script:
    - docker login -u "${DOCKER_USER}" -p "${DOCKER_PASSWORD}" registry.gitlab.com
    - docker build -t registry.gitlab.com/pyshinskiyj/microservices/taskmanager/config:latest .
    - docker push registry.gitlab.com/pyshinskiyj/microservices/taskmanager/config:latest
  only:
    - master